/*****************************************************************************
 * 
 * based on original ideas of Richard Benson and Brian Tischler 
 *
 *****************************************************************************/

#define GROUND -7.0f

typedef struct colourTAG{  // structure  for 3 element colour
 float r,g,b;
} colour;

typedef struct vectorTAG{  // 3D vector as xyz components In OpenGL the Y axis is vertical
 float x,y,z;
} vector;


typedef struct ParticleTAG { // particle structure
 float fAlpha;        // transparency
 float fAge;          // how long since creation
 float fLifetime;     // how long before expired
 float fSize;         // size
 float fAlphaDelta;   // transparency variation 
 float fSizeDelta;    // size variation
 colour vColor;       
 colour vColorDelta;
 vector vLocation;     
 vector vPrevLocation;
 vector vVelocity;
 vector vParticleGravity;
 vector vGravityDelta;
 struct aParticleSystemTAG * pParent; // which particlesystem does this particle belong to
} Particle;

int UpdateParticle(Particle *ths,  float fTimeDelta );


